{"openapi":"3.0.0","servers":[{"description":"10-8 Systems API","url":"https://virtserver.swaggerhub.com/10-8systems-bryan/10-8/1.0.0"}],"info":{"version":"1.0.0","title":"10-8 Systems API","description":"The 10-8 Systems API allows users to create powerful integrations and applications to interact with 10-8 Systems CAD."},"security":[{"application":["read","write"]}],"paths":{"/incidents":{"get":{"summary":"Get array of active incidents","description":"Get list of active incidents","responses":{"200":{"description":"OK"}}},"post":{"summary":"Create new incident","description":"Get list of active incidents","responses":{"200":{"description":"OK"}}}},"/incidents/comments":{"post":{"summary":"Add comment to incident","description":"Add comment to incident","security":[],"responses":{"200":{"description":"OK"}}}},"/e911":{"get":{"summary":"Generate new e911 incident","description":"Send data from e911 call to calltaker desk and spawn calltaking screen.","responses":{"200":{"description":"OK"}}}},"/units":{"get":{"summary":"Get array of units","description":"Get list of all units","responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"Incident":{"type":"object","properties":{"id":{"type":"integer","format":"int64"}}},"Comment":{"type":"object","properties":{"id":{"type":"integer","format":"int64"}}},"Schema":{"type":"object","properties":{"id":{"type":"integer","format":"int64"}}}},"securitySchemes":{"application":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"http://example.com/oauth/token","scopes":{"write":"allows modifying resources","read":"allows reading resources"}}}}}}}